

#ifdef __cplusplus
extern "C" {
#include <cstdint>
#include <cstdio>
#else
#include <stdint.h>
#include <stdio.h>
#endif

uintptr_t gaborator_initialize(int blockSize, double sampleRate, int bandsPerOctave, double minimumFrequency, double referenceFrequency, double maximumFrequency, int stepSize);
void gaborator_release(uintptr_t ptr);

int64_t gaborator_analysis_support(uintptr_t ptr);
int gaborator_number_of_bands(uintptr_t ptr);

float* gaborator_transform(uintptr_t ptr, float* audio_block, int64_t audio_block_length, size_t* return_size, size_t* slice_size);


#ifdef __cplusplus
}
#endif